Subject: Re: [PATCH 0/2] Tests for some submodule corner cases.

From: Jens Lehmann <[email-masked]>
Date: Wed, 01 Jun 2011 21:26:50 +0200

Am 01.06.2011 18:11, schrieb Marc Branchaud:
> On 11-05-31 05:26 PM, Jens Lehmann wrote:
>> No problem, maybe that's just an indication that a reference to "git status"
>> being more capable of telling what is going on inside a submodule is missing
>> to the man page for "git submodule status".
> 
> Yes, that'd possibly help.

Ok, I'll see if I can come up with something ...

> So here's my basic question: How can my build system be sure that a submodule
> contains the correct working directory?  Do I need to do both "git submodule
> status" to check the submodule's HEAD, then also use "git status" to see if
> that HEAD is correctly checked out?

No, "git status" will do both. The only thing it will be silent about is when
a submodule isn't initialized at all ("git submodule status" shows this with
a '-').